Tool: get_resource_enrollment_status
Fetches the enrollment status for a project in Audit Manager. Format: 'projects/{project}/locations/{location}/resourceEnrollmentStatuses/-'. CRITICAL: For {location}, use the location specified by the user. If no location is specified, prompt the user to provide one. Do not use 'global'. The location must match the chosen Regional Endpoint (REP) region (e.g., us-central1).
The following code sample shows how to use curl to call the get_resource_enrollment_status MCP tool.
| Curl Request |
|---|
curl --location 'https://auditmanager.us-central1.rep.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_resource_enrollment_status", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for GetResourceEnrollmentStatus.
GetResourceEnrollmentStatusRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. Name of the resource enrollment status, in one of the following formats:
|
Output Schema
An organization, folder, or project with its enrollment status.
ResourceEnrollmentStatus
| JSON representation |
|---|
{ "name": string, "enrollment": { object ( |
| Fields | |
|---|---|
name |
Identifier. Name of the resource enrollment status, in one of the following formats:
|
enrollment |
Output only. Enrolled destination details for the organization, folder, or project. |
enrolled |
Output only. Deprecated. Whether the organization, folder, or project is enrolled. Use |
displayName |
Output only. Display name for the organization, folder, or project. |
enrollmentState |
Output only. Enrollment state of the organization, folder, or project. |
Enrollment
| JSON representation |
|---|
{
"name": string,
"destinationDetails": [
{
object ( |
| Fields | |
|---|---|
name |
Identifier. Name of the enrollment, in one of the following formats:
|
destinationDetails[] |
Output only. Cloud Storage buckets where you want to upload the audit reports. |
DestinationDetails
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field destination. The specific destination where the audit report and evidence are stored. destination can be only one of the following: |
|
gcsBucketUri |
URI for the Cloud Storage bucket, in the format |
ResourceEnrollmentState
Different enrollment states of the resource and its parent.
| Enums | |
|---|---|
RESOURCE_ENROLLMENT_STATE_UNSPECIFIED |
Default value. This value is unused. |
NOT_ENROLLED |
The resource isn't enrolled. |
INHERITED |
The resource isn't enrolled but the parent is enrolled. |
ENROLLED |
The resource is enrolled. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌